Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1063782 - VMs do not appear in virtual machine tab if host is selected in side pane (data-center > cluster > host > )
Summary: VMs do not appear in virtual machine tab if host is selected in side pane (da...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal
Version: 3.3.0
Hardware: x86_64
OS: Linux
urgent
urgent
Target Milestone: ---
: 3.4.0
Assignee: Ravi Nori
QA Contact: Jiri Belka
URL:
Whiteboard: infra
: 1068478 (view as bug list)
Depends On:
Blocks: 1069898 rhev3.4beta 1142926
TreeView+ depends on / blocked
 
Reported: 2014-02-11 12:28 UTC by Prasad Mukhedkar
Modified: 2018-12-05 17:15 UTC (History)
17 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, the virtual machines on a host would not display when that host was selected using the side pane. Now, the logic for displaying the virtual machines on a host has been revised so that the list displays correctly.
Clone Of:
: 1069898 (view as bug list)
Environment:
Last Closed: 2014-06-09 15:03:49 UTC
oVirt Team: Infra
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 24972 None None None Never
oVirt gerrit 25025 None None None Never
Red Hat Knowledge Base (Solution) 899673 None None None Never
Red Hat Product Errata RHSA-2014:0506 normal SHIPPED_LIVE Moderate: Red Hat Enterprise Virtualization Manager 3.4.0 update 2014-06-09 18:55:38 UTC

Description Prasad Mukhedkar 2014-02-11 12:28:46 UTC
Description of problem:

Vms do not appear in 'virtual machine' main tab if host is selected in RHEV-M side pane. screen shows empty (0 item) despite there are large number of vms running on the host.

Version-Release number of selected component (if applicable):
Red Hat Enterprise Virtualization 3.3

How reproducible:
Always

Steps to Reproduce:
1. Expand the side pan and select a host in a cluster.
2. click on 'virtual machine' tab main tab. 


Actual results:
No vms listed 

Expected results:

Should list all the running virtual machines. I have tested this on RHEV 3.2 and it works properly.

Additional info:

1) I see below warning message in engine.log file upon clicking the virtual machine when a host is selected in side pane: 

2014-02-11 17:57:12,725 WARN  [org.ovirt.engine.core.bll.SearchQuery] (ajp-/127.0.0.1:8702-11) ResourceManager::searchBusinessObjects - erroneous search text - Vms: Hosts.name = rhev1 

2) issue screenshot attached.

Comment 3 Shahar Havivi 2014-02-14 13:12:14 UTC
Yes,
its not working on upstream as well.

Comment 6 Shahar Havivi 2014-02-23 12:15:43 UTC
Eli,
There is a fix for the UI,
http://gerrit.ovirt.org/#/c/24899/
its Fix this bug but we may have another issue in the Search infrastructure.

Comment 7 Omer Frenkel 2014-02-24 08:08:11 UTC
*** Bug 1068478 has been marked as a duplicate of this bug. ***

Comment 8 Ravi Nori 2014-02-24 14:46:37 UTC
Hi Shahar,

The patch http://gerrit.ovirt.org/#/c/24899/ seems to be the right way to fix the issue described in this bug.

Can you explain what other issue you have as stated in commend #6.

Comment 9 Shahar Havivi 2014-02-24 14:51:13 UTC
The reasons is that other tabs use the following:

prefix.argvalue = "Storage: host.name ="
prefix.argvalue = "Template: Hosts.name ="

Vms was written like that as well, ie the ability to enumerate running VMs via hosts properties.

Again I am not sure that it is needed for Vms but it does like it do.

Comment 10 Shahar Havivi 2014-02-25 09:24:09 UTC
Should we push the UI patch as well?
http://gerrit.ovirt.org/#/c/24899/

Comment 11 Ravi Nori 2014-02-25 12:46:12 UTC
(In reply to Shahar Havivi from comment #10)
> Should we push the UI patch as well?
> http://gerrit.ovirt.org/#/c/24899/

No we don't need the UI patch, the backend patch takes care of it

Comment 15 Ravi Nori 2014-02-28 13:51:14 UTC
Yes it is fixed, merged to 3.4 on Feb 25th. Moving to modified

Comment 16 Jiri Belka 2014-03-06 15:48:50 UTC
ok, av2.

Comment 17 errata-xmlrpc 2014-06-09 15:03:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2014-0506.html


Note You need to log in before you can comment on or make changes to this bug.